package com.coherentlogic.fred.client.core.domain;

import static com.coherentlogic.fred.client.core.util.Constants.CATEGORIES;

import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.OneToMany;
import javax.persistence.Table;

import com.coherentlogic.coherent.data.model.core.domain.IdentityObject;
import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamImplicit;

/**
 * A domain class which represents
 * <a href="http://research.stlouisfed.org/fred2/categories">categories</a> of
 * economic data.
 *
 * @author <a href="support@coherentlogic.com">Support</a>
 */
@Entity
@Table(name=CATEGORIES)
@XStreamAlias(CATEGORIES)
public class Categories extends IdentityObject {

    private static final long serialVersionUID = -7734411115308338739L;

    @XStreamImplicit
    private List<Category> categoryList = null;

    @OneToMany(cascade=CascadeType.ALL)
    public List<Category> getCategoryList () {
        return categoryList;
    }

    public void setCategoryList (List<Category> categoryList) {
        this.categoryList = categoryList;
    }
}
