package com.coherentlogic.fred.client.core.domain;

import static com.coherentlogic.fred.client.core.util.Constants.CREATED;
import static com.coherentlogic.fred.client.core.util.Constants.GROUP_ID;
import static com.coherentlogic.fred.client.core.util.Constants.NAME;
import static com.coherentlogic.fred.client.core.util.Constants.NOTES;
import static com.coherentlogic.fred.client.core.util.Constants.POPULARITY;
import static com.coherentlogic.fred.client.core.util.Constants.SERIES_COUNT;
import static com.coherentlogic.fred.client.core.util.Constants.TAG;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Table;

import com.coherentlogic.coherent.data.model.core.domain.DefaultObject;
import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;

/**
 * A single tag entry.
 *
 * @author <a href="mailto:support@coherentlogic.com">Support</a>
 */
@Entity
@Table(name=TAG)
@XStreamAlias(TAG)
public class Tag extends DefaultObject {

    private static final long serialVersionUID = -8118001938363590406L;

    @XStreamAlias(NAME)
    @XStreamAsAttribute
    private String name = null;

    @XStreamAlias(GROUP_ID)
    @XStreamAsAttribute
    private String groupId = null;

    @XStreamAlias(NOTES)
    @XStreamAsAttribute
    private String notes = null;

    @XStreamAlias(CREATED)
    @XStreamAsAttribute
    private String created = null;

    @XStreamAlias(POPULARITY)
    @XStreamAsAttribute
    private Long popularity = null;

    @XStreamAlias(SERIES_COUNT)
    @XStreamAsAttribute
    private Long seriesCount = null;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getNotes() {
        return notes;
    }

    public void setNotes(String notes) {
        this.notes = notes;
    }

    public String getCreated() {
        return created;
    }

    public void setCreated(String created) {
        this.created = created;
    }

    public Long getPopularity() {
        return popularity;
    }

    public void setPopularity(Long popularity) {
        this.popularity = popularity;
    }

    public Long getSeriesCount() {
        return seriesCount;
    }

    public void setSeriesCount(Long seriesCount) {
        this.seriesCount = seriesCount;
    }
}
